      subroutine step3d_t (tile)      


      use Agrif_Util
#include "Param_BeforeCall_step3d_t.h"
      integer(4) :: tile
      

        call Sub_Loop_step3d_t(tile, Agrif_tabvars_i(15)%iarray0, Agrif_
     &tabvars_i(16)%iarray0, Agrif_tabvars(116)%array3, Agrif_tabvars(11
     &7)%array3, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars_i(7)%iarray0,
     & Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_ta
     &bvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0)

      end


#include "Sub_Loop_step3d_t.h"
      subroutine step3d_t_tile (Istr,Iend,Jstr,Jend,
     &                          FX,FE, WORK, FC,CF,BC,DC,EC,GC, swdk)      


      use Agrif_Util
#include "Param_BeforeCall_step3d_t_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: FX
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: FE
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2) :: WORK
      real, dimension(Istr-2:Iend+2,0:N) :: FC
      real, dimension(Istr-2:Iend+2,0:N) :: CF
      real, dimension(Istr-2:Iend+2,0:N) :: BC
      real, dimension(Istr-2:Iend+2,0:N) :: DC
      real, dimension(Istr-2:Iend+2,0:N) :: EC
      real, dimension(Istr-2:Iend+2,0:N) :: GC
      real, dimension(Istr-2:Iend+2,Jstr-2:Jend+2,0:N) :: swdk
      

        call Sub_Loop_step3d_t_tile(Istr,Iend,Jstr,Jend,FX,FE,WORK,FC,CF
     &,BC,DC,EC,GC,swdk, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)
     &%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0,
     & Agrif_tabvars(81)%array2, Agrif_tabvars(125)%array3, Agrif_tabvar
     &s(126)%array3, Agrif_tabvars(127)%array3, Agrif_tabvars(119)%array
     &3, Agrif_tabvars(138)%array3, Agrif_tabvars(140)%array3, Agrif_tab
     &vars(142)%array3, Agrif_tabvars(118)%array3, Agrif_tabvars(215)%ar
     &ray2, Agrif_tabvars(240)%array3, Agrif_tabvars(250)%array3, Agrif_
     &tabvars(141)%array3, Agrif_tabvars(143)%array3, Agrif_tabvars(146)
     &%array3, Agrif_tabvars(103)%array2, Agrif_tabvars(104)%array2, Agr
     &if_tabvars_r(3)%array0, Agrif_tabvars_i(153)%iarray0, Agrif_tabvar
     &s(147)%array3, Agrif_tabvars_i(155)%iarray0, Agrif_tabvars(144)%ar
     &ray3, Agrif_tabvars(78)%array2, Agrif_tabvars(145)%array3, Agrif_t
     &abvars(79)%array2, Agrif_tabvars(148)%array5, Agrif_tabvars_l(13)%
     &larray0, Agrif_tabvars_l(14)%larray0, Agrif_tabvars_l(11)%larray0,
     & Agrif_tabvars_l(12)%larray0, Agrif_tabvars_i(8)%iarray0, Agrif_ta
     &bvars_i(7)%iarray0)

      end


#include "Sub_Loop_step3d_t_tile.h"
